# Uses of Interface
com.sun.jdi.request.ClassUnloadRequest

Packages that use ClassUnloadRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of ClassUnloadRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return ClassUnloadRequest
Modifier and Type
Method
Description
`ClassUnloadRequest`
EventRequestManager.`createClassUnloadRequest()`
Creates a new disabled `ClassUnloadRequest`.
Methods in com.sun.jdi.request that return types with arguments of type ClassUnloadRequest
Modifier and Type
Method
Description
`List<ClassUnloadRequest>`
EventRequestManager.`classUnloadRequests()`
Return an unmodifiable list of the enabled and disabled class unload requests.